package com.mvc.entity;

import java.util.ArrayList;
import java.util.List;

public class DicForwarderExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public DicForwarderExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andServerNameIsNull() {
            addCriterion("SERVER_NAME is null");
            return (Criteria) this;
        }

        public Criteria andServerNameIsNotNull() {
            addCriterion("SERVER_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andServerNameEqualTo(String value) {
            addCriterion("SERVER_NAME =", value, "serverName");
            return (Criteria) this;
        }

        public Criteria andServerNameNotEqualTo(String value) {
            addCriterion("SERVER_NAME <>", value, "serverName");
            return (Criteria) this;
        }

        public Criteria andServerNameGreaterThan(String value) {
            addCriterion("SERVER_NAME >", value, "serverName");
            return (Criteria) this;
        }

        public Criteria andServerNameGreaterThanOrEqualTo(String value) {
            addCriterion("SERVER_NAME >=", value, "serverName");
            return (Criteria) this;
        }

        public Criteria andServerNameLessThan(String value) {
            addCriterion("SERVER_NAME <", value, "serverName");
            return (Criteria) this;
        }

        public Criteria andServerNameLessThanOrEqualTo(String value) {
            addCriterion("SERVER_NAME <=", value, "serverName");
            return (Criteria) this;
        }

        public Criteria andServerNameLike(String value) {
            addCriterion("SERVER_NAME like", value, "serverName");
            return (Criteria) this;
        }

        public Criteria andServerNameNotLike(String value) {
            addCriterion("SERVER_NAME not like", value, "serverName");
            return (Criteria) this;
        }

        public Criteria andServerNameIn(List<String> values) {
            addCriterion("SERVER_NAME in", values, "serverName");
            return (Criteria) this;
        }

        public Criteria andServerNameNotIn(List<String> values) {
            addCriterion("SERVER_NAME not in", values, "serverName");
            return (Criteria) this;
        }

        public Criteria andServerNameBetween(String value1, String value2) {
            addCriterion("SERVER_NAME between", value1, value2, "serverName");
            return (Criteria) this;
        }

        public Criteria andServerNameNotBetween(String value1, String value2) {
            addCriterion("SERVER_NAME not between", value1, value2, "serverName");
            return (Criteria) this;
        }

        public Criteria andServerIpIsNull() {
            addCriterion("SERVER_IP is null");
            return (Criteria) this;
        }

        public Criteria andServerIpIsNotNull() {
            addCriterion("SERVER_IP is not null");
            return (Criteria) this;
        }

        public Criteria andServerIpEqualTo(String value) {
            addCriterion("SERVER_IP =", value, "serverIp");
            return (Criteria) this;
        }

        public Criteria andServerIpNotEqualTo(String value) {
            addCriterion("SERVER_IP <>", value, "serverIp");
            return (Criteria) this;
        }

        public Criteria andServerIpGreaterThan(String value) {
            addCriterion("SERVER_IP >", value, "serverIp");
            return (Criteria) this;
        }

        public Criteria andServerIpGreaterThanOrEqualTo(String value) {
            addCriterion("SERVER_IP >=", value, "serverIp");
            return (Criteria) this;
        }

        public Criteria andServerIpLessThan(String value) {
            addCriterion("SERVER_IP <", value, "serverIp");
            return (Criteria) this;
        }

        public Criteria andServerIpLessThanOrEqualTo(String value) {
            addCriterion("SERVER_IP <=", value, "serverIp");
            return (Criteria) this;
        }

        public Criteria andServerIpLike(String value) {
            addCriterion("SERVER_IP like", value, "serverIp");
            return (Criteria) this;
        }

        public Criteria andServerIpNotLike(String value) {
            addCriterion("SERVER_IP not like", value, "serverIp");
            return (Criteria) this;
        }

        public Criteria andServerIpIn(List<String> values) {
            addCriterion("SERVER_IP in", values, "serverIp");
            return (Criteria) this;
        }

        public Criteria andServerIpNotIn(List<String> values) {
            addCriterion("SERVER_IP not in", values, "serverIp");
            return (Criteria) this;
        }

        public Criteria andServerIpBetween(String value1, String value2) {
            addCriterion("SERVER_IP between", value1, value2, "serverIp");
            return (Criteria) this;
        }

        public Criteria andServerIpNotBetween(String value1, String value2) {
            addCriterion("SERVER_IP not between", value1, value2, "serverIp");
            return (Criteria) this;
        }

        public Criteria andServerPortIsNull() {
            addCriterion("SERVER_PORT is null");
            return (Criteria) this;
        }

        public Criteria andServerPortIsNotNull() {
            addCriterion("SERVER_PORT is not null");
            return (Criteria) this;
        }

        public Criteria andServerPortEqualTo(Integer value) {
            addCriterion("SERVER_PORT =", value, "serverPort");
            return (Criteria) this;
        }

        public Criteria andServerPortNotEqualTo(Integer value) {
            addCriterion("SERVER_PORT <>", value, "serverPort");
            return (Criteria) this;
        }

        public Criteria andServerPortGreaterThan(Integer value) {
            addCriterion("SERVER_PORT >", value, "serverPort");
            return (Criteria) this;
        }

        public Criteria andServerPortGreaterThanOrEqualTo(Integer value) {
            addCriterion("SERVER_PORT >=", value, "serverPort");
            return (Criteria) this;
        }

        public Criteria andServerPortLessThan(Integer value) {
            addCriterion("SERVER_PORT <", value, "serverPort");
            return (Criteria) this;
        }

        public Criteria andServerPortLessThanOrEqualTo(Integer value) {
            addCriterion("SERVER_PORT <=", value, "serverPort");
            return (Criteria) this;
        }

        public Criteria andServerPortIn(List<Integer> values) {
            addCriterion("SERVER_PORT in", values, "serverPort");
            return (Criteria) this;
        }

        public Criteria andServerPortNotIn(List<Integer> values) {
            addCriterion("SERVER_PORT not in", values, "serverPort");
            return (Criteria) this;
        }

        public Criteria andServerPortBetween(Integer value1, Integer value2) {
            addCriterion("SERVER_PORT between", value1, value2, "serverPort");
            return (Criteria) this;
        }

        public Criteria andServerPortNotBetween(Integer value1, Integer value2) {
            addCriterion("SERVER_PORT not between", value1, value2, "serverPort");
            return (Criteria) this;
        }

        public Criteria andTransportProtocolIsNull() {
            addCriterion("TRANSPORT_PROTOCOL is null");
            return (Criteria) this;
        }

        public Criteria andTransportProtocolIsNotNull() {
            addCriterion("TRANSPORT_PROTOCOL is not null");
            return (Criteria) this;
        }

        public Criteria andTransportProtocolEqualTo(Integer value) {
            addCriterion("TRANSPORT_PROTOCOL =", value, "transportProtocol");
            return (Criteria) this;
        }

        public Criteria andTransportProtocolNotEqualTo(Integer value) {
            addCriterion("TRANSPORT_PROTOCOL <>", value, "transportProtocol");
            return (Criteria) this;
        }

        public Criteria andTransportProtocolGreaterThan(Integer value) {
            addCriterion("TRANSPORT_PROTOCOL >", value, "transportProtocol");
            return (Criteria) this;
        }

        public Criteria andTransportProtocolGreaterThanOrEqualTo(Integer value) {
            addCriterion("TRANSPORT_PROTOCOL >=", value, "transportProtocol");
            return (Criteria) this;
        }

        public Criteria andTransportProtocolLessThan(Integer value) {
            addCriterion("TRANSPORT_PROTOCOL <", value, "transportProtocol");
            return (Criteria) this;
        }

        public Criteria andTransportProtocolLessThanOrEqualTo(Integer value) {
            addCriterion("TRANSPORT_PROTOCOL <=", value, "transportProtocol");
            return (Criteria) this;
        }

        public Criteria andTransportProtocolIn(List<Integer> values) {
            addCriterion("TRANSPORT_PROTOCOL in", values, "transportProtocol");
            return (Criteria) this;
        }

        public Criteria andTransportProtocolNotIn(List<Integer> values) {
            addCriterion("TRANSPORT_PROTOCOL not in", values, "transportProtocol");
            return (Criteria) this;
        }

        public Criteria andTransportProtocolBetween(Integer value1, Integer value2) {
            addCriterion("TRANSPORT_PROTOCOL between", value1, value2, "transportProtocol");
            return (Criteria) this;
        }

        public Criteria andTransportProtocolNotBetween(Integer value1, Integer value2) {
            addCriterion("TRANSPORT_PROTOCOL not between", value1, value2, "transportProtocol");
            return (Criteria) this;
        }

        public Criteria andMessageProtocolIsNull() {
            addCriterion("MESSAGE_PROTOCOL is null");
            return (Criteria) this;
        }

        public Criteria andMessageProtocolIsNotNull() {
            addCriterion("MESSAGE_PROTOCOL is not null");
            return (Criteria) this;
        }

        public Criteria andMessageProtocolEqualTo(Integer value) {
            addCriterion("MESSAGE_PROTOCOL =", value, "messageProtocol");
            return (Criteria) this;
        }

        public Criteria andMessageProtocolNotEqualTo(Integer value) {
            addCriterion("MESSAGE_PROTOCOL <>", value, "messageProtocol");
            return (Criteria) this;
        }

        public Criteria andMessageProtocolGreaterThan(Integer value) {
            addCriterion("MESSAGE_PROTOCOL >", value, "messageProtocol");
            return (Criteria) this;
        }

        public Criteria andMessageProtocolGreaterThanOrEqualTo(Integer value) {
            addCriterion("MESSAGE_PROTOCOL >=", value, "messageProtocol");
            return (Criteria) this;
        }

        public Criteria andMessageProtocolLessThan(Integer value) {
            addCriterion("MESSAGE_PROTOCOL <", value, "messageProtocol");
            return (Criteria) this;
        }

        public Criteria andMessageProtocolLessThanOrEqualTo(Integer value) {
            addCriterion("MESSAGE_PROTOCOL <=", value, "messageProtocol");
            return (Criteria) this;
        }

        public Criteria andMessageProtocolIn(List<Integer> values) {
            addCriterion("MESSAGE_PROTOCOL in", values, "messageProtocol");
            return (Criteria) this;
        }

        public Criteria andMessageProtocolNotIn(List<Integer> values) {
            addCriterion("MESSAGE_PROTOCOL not in", values, "messageProtocol");
            return (Criteria) this;
        }

        public Criteria andMessageProtocolBetween(Integer value1, Integer value2) {
            addCriterion("MESSAGE_PROTOCOL between", value1, value2, "messageProtocol");
            return (Criteria) this;
        }

        public Criteria andMessageProtocolNotBetween(Integer value1, Integer value2) {
            addCriterion("MESSAGE_PROTOCOL not between", value1, value2, "messageProtocol");
            return (Criteria) this;
        }

        public Criteria andExtendFlagIsNull() {
            addCriterion("EXTEND_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andExtendFlagIsNotNull() {
            addCriterion("EXTEND_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andExtendFlagEqualTo(String value) {
            addCriterion("EXTEND_FLAG =", value, "extendFlag");
            return (Criteria) this;
        }

        public Criteria andExtendFlagNotEqualTo(String value) {
            addCriterion("EXTEND_FLAG <>", value, "extendFlag");
            return (Criteria) this;
        }

        public Criteria andExtendFlagGreaterThan(String value) {
            addCriterion("EXTEND_FLAG >", value, "extendFlag");
            return (Criteria) this;
        }

        public Criteria andExtendFlagGreaterThanOrEqualTo(String value) {
            addCriterion("EXTEND_FLAG >=", value, "extendFlag");
            return (Criteria) this;
        }

        public Criteria andExtendFlagLessThan(String value) {
            addCriterion("EXTEND_FLAG <", value, "extendFlag");
            return (Criteria) this;
        }

        public Criteria andExtendFlagLessThanOrEqualTo(String value) {
            addCriterion("EXTEND_FLAG <=", value, "extendFlag");
            return (Criteria) this;
        }

        public Criteria andExtendFlagLike(String value) {
            addCriterion("EXTEND_FLAG like", value, "extendFlag");
            return (Criteria) this;
        }

        public Criteria andExtendFlagNotLike(String value) {
            addCriterion("EXTEND_FLAG not like", value, "extendFlag");
            return (Criteria) this;
        }

        public Criteria andExtendFlagIn(List<String> values) {
            addCriterion("EXTEND_FLAG in", values, "extendFlag");
            return (Criteria) this;
        }

        public Criteria andExtendFlagNotIn(List<String> values) {
            addCriterion("EXTEND_FLAG not in", values, "extendFlag");
            return (Criteria) this;
        }

        public Criteria andExtendFlagBetween(String value1, String value2) {
            addCriterion("EXTEND_FLAG between", value1, value2, "extendFlag");
            return (Criteria) this;
        }

        public Criteria andExtendFlagNotBetween(String value1, String value2) {
            addCriterion("EXTEND_FLAG not between", value1, value2, "extendFlag");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andUseFlagIsNull() {
            addCriterion("USE_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andUseFlagIsNotNull() {
            addCriterion("USE_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andUseFlagEqualTo(String value) {
            addCriterion("USE_FLAG =", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotEqualTo(String value) {
            addCriterion("USE_FLAG <>", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagGreaterThan(String value) {
            addCriterion("USE_FLAG >", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagGreaterThanOrEqualTo(String value) {
            addCriterion("USE_FLAG >=", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLessThan(String value) {
            addCriterion("USE_FLAG <", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLessThanOrEqualTo(String value) {
            addCriterion("USE_FLAG <=", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLike(String value) {
            addCriterion("USE_FLAG like", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotLike(String value) {
            addCriterion("USE_FLAG not like", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagIn(List<String> values) {
            addCriterion("USE_FLAG in", values, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotIn(List<String> values) {
            addCriterion("USE_FLAG not in", values, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagBetween(String value1, String value2) {
            addCriterion("USE_FLAG between", value1, value2, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotBetween(String value1, String value2) {
            addCriterion("USE_FLAG not between", value1, value2, "useFlag");
            return (Criteria) this;
        }

        public Criteria andCenterAddressIsNull() {
            addCriterion("CENTER_ADDRESS is null");
            return (Criteria) this;
        }

        public Criteria andCenterAddressIsNotNull() {
            addCriterion("CENTER_ADDRESS is not null");
            return (Criteria) this;
        }

        public Criteria andCenterAddressEqualTo(String value) {
            addCriterion("CENTER_ADDRESS =", value, "centerAddress");
            return (Criteria) this;
        }

        public Criteria andCenterAddressNotEqualTo(String value) {
            addCriterion("CENTER_ADDRESS <>", value, "centerAddress");
            return (Criteria) this;
        }

        public Criteria andCenterAddressGreaterThan(String value) {
            addCriterion("CENTER_ADDRESS >", value, "centerAddress");
            return (Criteria) this;
        }

        public Criteria andCenterAddressGreaterThanOrEqualTo(String value) {
            addCriterion("CENTER_ADDRESS >=", value, "centerAddress");
            return (Criteria) this;
        }

        public Criteria andCenterAddressLessThan(String value) {
            addCriterion("CENTER_ADDRESS <", value, "centerAddress");
            return (Criteria) this;
        }

        public Criteria andCenterAddressLessThanOrEqualTo(String value) {
            addCriterion("CENTER_ADDRESS <=", value, "centerAddress");
            return (Criteria) this;
        }

        public Criteria andCenterAddressLike(String value) {
            addCriterion("CENTER_ADDRESS like", value, "centerAddress");
            return (Criteria) this;
        }

        public Criteria andCenterAddressNotLike(String value) {
            addCriterion("CENTER_ADDRESS not like", value, "centerAddress");
            return (Criteria) this;
        }

        public Criteria andCenterAddressIn(List<String> values) {
            addCriterion("CENTER_ADDRESS in", values, "centerAddress");
            return (Criteria) this;
        }

        public Criteria andCenterAddressNotIn(List<String> values) {
            addCriterion("CENTER_ADDRESS not in", values, "centerAddress");
            return (Criteria) this;
        }

        public Criteria andCenterAddressBetween(String value1, String value2) {
            addCriterion("CENTER_ADDRESS between", value1, value2, "centerAddress");
            return (Criteria) this;
        }

        public Criteria andCenterAddressNotBetween(String value1, String value2) {
            addCriterion("CENTER_ADDRESS not between", value1, value2, "centerAddress");
            return (Criteria) this;
        }

        public Criteria andMessagePwdIsNull() {
            addCriterion("MESSAGE_PWD is null");
            return (Criteria) this;
        }

        public Criteria andMessagePwdIsNotNull() {
            addCriterion("MESSAGE_PWD is not null");
            return (Criteria) this;
        }

        public Criteria andMessagePwdEqualTo(String value) {
            addCriterion("MESSAGE_PWD =", value, "messagePwd");
            return (Criteria) this;
        }

        public Criteria andMessagePwdNotEqualTo(String value) {
            addCriterion("MESSAGE_PWD <>", value, "messagePwd");
            return (Criteria) this;
        }

        public Criteria andMessagePwdGreaterThan(String value) {
            addCriterion("MESSAGE_PWD >", value, "messagePwd");
            return (Criteria) this;
        }

        public Criteria andMessagePwdGreaterThanOrEqualTo(String value) {
            addCriterion("MESSAGE_PWD >=", value, "messagePwd");
            return (Criteria) this;
        }

        public Criteria andMessagePwdLessThan(String value) {
            addCriterion("MESSAGE_PWD <", value, "messagePwd");
            return (Criteria) this;
        }

        public Criteria andMessagePwdLessThanOrEqualTo(String value) {
            addCriterion("MESSAGE_PWD <=", value, "messagePwd");
            return (Criteria) this;
        }

        public Criteria andMessagePwdLike(String value) {
            addCriterion("MESSAGE_PWD like", value, "messagePwd");
            return (Criteria) this;
        }

        public Criteria andMessagePwdNotLike(String value) {
            addCriterion("MESSAGE_PWD not like", value, "messagePwd");
            return (Criteria) this;
        }

        public Criteria andMessagePwdIn(List<String> values) {
            addCriterion("MESSAGE_PWD in", values, "messagePwd");
            return (Criteria) this;
        }

        public Criteria andMessagePwdNotIn(List<String> values) {
            addCriterion("MESSAGE_PWD not in", values, "messagePwd");
            return (Criteria) this;
        }

        public Criteria andMessagePwdBetween(String value1, String value2) {
            addCriterion("MESSAGE_PWD between", value1, value2, "messagePwd");
            return (Criteria) this;
        }

        public Criteria andMessagePwdNotBetween(String value1, String value2) {
            addCriterion("MESSAGE_PWD not between", value1, value2, "messagePwd");
            return (Criteria) this;
        }

        public Criteria andStationTypeIsNull() {
            addCriterion("STATION_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andStationTypeIsNotNull() {
            addCriterion("STATION_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andStationTypeEqualTo(String value) {
            addCriterion("STATION_TYPE =", value, "stationType");
            return (Criteria) this;
        }

        public Criteria andStationTypeNotEqualTo(String value) {
            addCriterion("STATION_TYPE <>", value, "stationType");
            return (Criteria) this;
        }

        public Criteria andStationTypeGreaterThan(String value) {
            addCriterion("STATION_TYPE >", value, "stationType");
            return (Criteria) this;
        }

        public Criteria andStationTypeGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_TYPE >=", value, "stationType");
            return (Criteria) this;
        }

        public Criteria andStationTypeLessThan(String value) {
            addCriterion("STATION_TYPE <", value, "stationType");
            return (Criteria) this;
        }

        public Criteria andStationTypeLessThanOrEqualTo(String value) {
            addCriterion("STATION_TYPE <=", value, "stationType");
            return (Criteria) this;
        }

        public Criteria andStationTypeLike(String value) {
            addCriterion("STATION_TYPE like", value, "stationType");
            return (Criteria) this;
        }

        public Criteria andStationTypeNotLike(String value) {
            addCriterion("STATION_TYPE not like", value, "stationType");
            return (Criteria) this;
        }

        public Criteria andStationTypeIn(List<String> values) {
            addCriterion("STATION_TYPE in", values, "stationType");
            return (Criteria) this;
        }

        public Criteria andStationTypeNotIn(List<String> values) {
            addCriterion("STATION_TYPE not in", values, "stationType");
            return (Criteria) this;
        }

        public Criteria andStationTypeBetween(String value1, String value2) {
            addCriterion("STATION_TYPE between", value1, value2, "stationType");
            return (Criteria) this;
        }

        public Criteria andStationTypeNotBetween(String value1, String value2) {
            addCriterion("STATION_TYPE not between", value1, value2, "stationType");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}